/****************************************************************************/
/*                                                                          */
/*                      Chaine de CAO & VLSI   Alliance                     */
/*                                                                          */
/*    Produit : INF  v1.0                                                   */
/*    Fichier : inf.h                                                       */
/*                                                                          */
/*    (c) copyright 1994 Laboratoire MASI equipe CAO & VLSI                 */
/*    Tous droits reserves                                                  */
/*    Support : e-mail cao-vlsi@masi.ibp.fr                                 */
/*                                                                          */
/*                                                                          */
/****************************************************************************/

#ifndef INF
#define INF

#define INF_JOK '*'

/* TAS info type constants */

#define INF_STUCKVSS        0
#define INF_STUCKVDD        1
#define INF_PRECHARGE       2
#define INF_NOTPRECHARGE    3
#define INF_BYPASSIN        4
#define INF_BYPASSOUT       5
#define INF_BYPASS          6
#define INF_INTER           7
#define INF_PATHIN          8
#define INF_PATHOUT         9
#define INF_RC             10
#define INF_NORC           11
#define INF_ELM            12
#define INF_RCN            13

/* generic list structure */

typedef struct list {
    struct list     *NEXT;
    long            TYPE;
    void            *DATA;
    struct ptype    *USER;
} list_list;

extern chain_list      *INF_RENAME;
extern chain_list      *INF_STOP;

extern chain_list      *INF_MUXU;
extern chain_list      *INF_MUXD;
extern chain_list      *INF_CMPU;
extern chain_list      *INF_CMPD;

extern list_list       *INF_SIGLIST;
extern ptype_list      *INF_ALIMLIST;

void infRead();

#endif


